

*{margin: 0; padding: 0;}
a{text-decoration: none; color: #333; color: inherit;}
li{list-style: none;}
em,i,address{font-style: normal;}



.profile{
  font-family: 'NanumSquareNeoLight';
  font-family: 'NanumSquareNeo';
  font-family: 'NanumSquareNeoExtraBold';
  font-family: 'NanumSquareNeoHeavy';
  font-family: 'NanumSquareNeoBold';
  font-family: 'Noto Sans KR',sans-serif;
}
.profile>div>.name-intro>p{font-family: 'NanumSquareNeoBold';}
.profile .idea{font-family: 'NanumSquareNeoExtraBold';}

header{font-family: 'NanumSquareNeoHeavy';}
.sticky-section{font-family: 'NanumSquareNeoExtraBold';}
.top-bar{font-family: 'NanumSquareNeo';}
.bottom-bar{font-family: 'NanumSquareNeo';}
.vs-textzone{font-family: "Noto Sans KR", sans-serif;}
.sticky-text{font-family: 'NanumSquareNeoHeavy';}





/* fira 폰트 적용할거면 태그 class에 .fira-code-main 선택자를 넣을것 */
.fira-code-main{
  font-family: "Fira Code", monospace;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}

body{font-family: "Noto Sans KR", sans-serif;}


html, body {
  -webkit-user-select: none; /* Chrome, Safari, iOS */
  -moz-user-select: none;    /* Firefox (구버전) */
  -ms-user-select: none;     /* IE/Edge(구버전) */
  user-select: none;         /* 표준 */
}

footer{
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;          /* footer는 텍스트 선택 허용 */
}




/* 스크롤바 -------------------------------------------- */



body::-webkit-scrollbar{width: 2px;}
body::-webkit-scrollbar-thumb{
  outline: none;
  background: rgb(190, 190, 190);
}
body::-webkit-scrollbar-thumb:hover{
  background: white; 
  background-clip: padding-box;
}

body::-webkit-scrollbar-track{
  background: #282828; 
  width: 1px;
}





/* 스크롤바 -------------------------------------------- */



.sticky-section{
  width: 100%; height: 1300px; background: #E1E1E1;
}


.sticky-box{
  position: sticky; top:0; width: 100%; height: 100vh;
  display: flex;overflow-x: hidden; overflow-y: hidden;
}

.sticky-section img{display: flex; }


.vslayout{width: 100%; height: auto; overflow: hidden;}
.top-bar{
  display: flex;
  width: 100%; height: 34px; background: #181818;
  text-align: center; align-items: center;
  justify-content: space-between;  
  color: rgb(180, 180, 180);
  border-bottom: 0.2px solid #6d6d6d; outline-offset: 1px;
  position: absolute; z-index: 5;
  transition: 3s; overflow: hidden;
}
.top-bar.slideTop{transform: translateY(-41px);}

.page-logo{
  width: 30px; height: 30px;
  margin-left: 10px;
}
.page-logo img{width: 16px; height: 16px; padding: 7px;}

.vs-menu{
  width: auto; display: none; margin-right: auto;
  justify-content: left; padding: 6px 10px; cursor: pointer;
  border-radius: 6px; margin-left: 10px;
}
.vs-menu img{width: 14px; opacity: 0.8;}
.vs-menu:hover{background: #333333;}

.vs-text{
  position: inherit;
  display: flex; transition: 1s;
  margin-left: 50px; width: auto; font-size: 11px;
}
.vs-text li{
  width: auto; height: auto; 
  background: transparent;
  padding: 6px; border-radius: 5px;
  cursor: pointer;
}
.vs-text li:hover{
  background: #333333; color: rgb(214, 214, 214);
}


.vsinterface{
  width: 30%; height: 24px;
  display: flex; flex-wrap: nowrap;
  align-items: center; justify-content: space-between;
  gap: 10px; margin-left: 32%;
}

.vs-arrow{display: flex; width: auto; gap: 0px;}
.vs-arrow img{
  width: 14px; padding: 6px; border-radius: 5px;
  opacity: 0.5;
}
.vs-arrow img:first-child:hover{
  background: #333333; opacity: 0.8; cursor: pointer;
}
.vs-arrow img:nth-child(2){opacity: 0.2;}


.vs-search{
  width: 100%; height: 100%; background-color: #282828;
  border-radius: 4px;
  display: flex; flex-wrap: nowrap;
  align-items: center; justify-content: center;
  cursor: pointer; border: 0.1px solid #6d6d6d;
  font-size: 12px; overflow: hidden;
}
.vs-search:hover{
  background: #333333;
  border: 0.1px solid #7e7e7e;
  color: rgb(214, 214, 214);
}
.vs-mag img{
  width: 10px; display: inline; margin: 0 6px;
}
.vs-mag span{white-space: nowrap;}

.vs-chat>div{
  display: flex; align-items: center;
  width: auto; border-radius: 6px;
}
.vs-chat>div:hover{background: #333333;}
.vs-chat img{
  width: 20px;
  border-radius: 6px; padding: 5px; opacity: 0.5;
  cursor: pointer;
}
.vs-chat>div img:last-child{width: 10px; height: 10px; padding: 20% 5px;}
.vs-chat>div img:hover{background: #4a4a4a;}

.vs-chat img:hover{background: #333333; opacity: 0.8;}





.vs-square{display: flex; margin-left: auto; margin-right: 10px;}
.vs-square div{cursor: pointer;}
.vs-square div img{width: 17px; padding: 4px; opacity: 0.5;}
.vs-square div img:hover{
  background: #333333; opacity: 0.8; border-radius: 6px;
}




.vscontrol{display: flex; width: auto;}
.vscontrol div{
  width: 46px; height: 40px; background: transparent; 
  display: flex; align-items: center; justify-content: center; 
  cursor: pointer;
}
.vscontrol div:hover{background: #333333;}
.vscontrol .vsclose:hover{background: rgb(186, 0, 0);}
.vscontrol img{width: 14px;}





.left-bar{
  width: 40px; height: calc(100% + 40px); background: #181818;
  display: flex; flex-direction: column;
  justify-content: space-between;
  position: absolute; top: -40px; z-index: 4;
  border-right: 0.1px solid #6d6d6d;
  outline-offset: 1px; transition: 2s;
}
.left-bar .vs-uplist{
  width: auto; height: auto; margin-top: 80px;
}
.left-bar .vs-uplist li{opacity: 0.5; cursor: pointer;}
.left-bar .vs-uplist li:hover{opacity: 0.8;}
.left-bar .vs-uplist li img{
  display: block; margin: 4px auto; width: 20px;
  padding: 10px; 
}

.left-bar .vs-downlist{width: auto; height: auto; margin-bottom: 20px;}
.left-bar .vs-downlist li{opacity: 0.5; cursor: pointer;}
.left-bar .vs-downlist li:hover{opacity: 0.8;}

.left-bar .vs-downlist li img{
  display: block; margin: 4px auto; width: 20px;
  padding: 10px; 
}

.bottom-bar{
  width: 100%; height: 22px; background: #181818;
  display: flex; justify-content: space-between;
  position: absolute; bottom: 0; z-index: 4;
  border-top: 0.1px solid #6d6d6d;
  color: #B4B4B4; font-size: 11px; letter-spacing: -0.5px;
  transition: 2s;
}
.bottom-bar img{width: 14px; height: 14px; opacity: 0.8;}


.bottom-left{
  display: flex; align-items: center;
  width: auto; height: 100%; gap: 10px;
}
.bottom-left div{
  width: auto; height: 100%;
  display: flex; justify-content: center; align-items: center;
  cursor: pointer;
}

.bottom-left>div:nth-child(1){
  width: 26px; height: 100%; background: rgb(3, 126, 193);
  padding: 0 4px;
}
.bottom-left>div:nth-child(1) img{width: 12px; height: 12px;}
.bottom-left>div:nth-child(1):hover{background: rgb(23, 152, 222);}

.bottom-left>div:nth-child(2):hover{background: #333333;}

.bottom-left>div:nth-child(2)>div{gap: 4px; padding: 0 4px;}
.bottom-left>div:nth-child(2)>div:hover{background: #4a4a4a;}

.bottom-left>div:nth-child(3){gap: 4px; padding: 0 4px;}
.bottom-left>div:nth-child(3):hover{background: #333333;}


.bottom-right{
  display: flex; align-items: center; justify-content: space-between;
  width: auto; height: 100%; gap: 6px; margin-right: 14px;
}
.bottom-right div{
  width: auto; height: 100%;
  display: flex; justify-content: center; align-items: center;
  cursor: pointer; gap:4px; padding: 0 4px;
}
.bottom-right div span{width: 100%;}
.bottom-right>div:first-child{cursor: auto;}
.bottom-right div:hover{background: #333333;}
.bottom-right>div:first-child:hover{background: transparent;}

.bottom-right>div:nth-child(6)>div:hover{background: #4a4a4a;}
.bottom-right>div:nth-child(6){padding: 0; gap: 0;}
.bottom-right>div:nth-child(6)>div{padding: 0 4px;}
.bottom-right>div:nth-child(6):hover{background: #333333;}


/* 자바스크립트 class 추가해서 적용시킴 */

.slideTop{transform: translateY(-41px);}

.slideLeft{
  transform: translateX(-128%);
  border-right: 0.1px solid #6d6d6d;
}

.slideBottom{transform: translateY(50px); opacity: 0;}

.slideRight.slideTop {transform: translateX(118%) translateY(-41px);}
.slideLeft.slideTop {transform: translateX(-128%) translateY(-41px);}








.vs-textzone{
  width: calc(100% - 40px); height: 100%;
  position: absolute; top: 34.8px; left: 40px;
  display: flex; 
}

.vs-index{
  width: 50%; height: 100%; transition: 3s; 
  background: #222222;
}




.vs-indextab-box{
  display: flex; overflow: hidden;
  position: relative; z-index: 3;
}
.vs-indextab{
  width: 130px; height: 35px; background: #222222;
  display: flex; justify-content: space-around;
  align-items: center; gap: 5px;
  border-top: 0.1px solid rgb(1, 145, 255);
  border-right: 0.1px solid #6d6d6d;
  cursor: pointer;
}
.vs-indextab img{width: 14px; height: 14px;}
.vs-indextab span{font-size: 12px; color: white;}

.index-empty{
  width: calc(100% - 120px); height: auto;
  border-bottom: 0.1px solid #6d6d6d;
  display: flex; align-items: center; background: #181818;
}

.index-empty span{
  padding: 4px;
  width: auto; height: 14px;
  color: rgb(180, 180, 180);
  border-radius: 4px;
  cursor: pointer;
  margin-left: auto;
  margin-right: 10px;
  align-items: center;
  line-height: 1;
}
.index-empty span:hover{background: #333333;}

.vs-indexhead{
  position: absolute; z-index: 2;
  width: 100%; height: 20px;
  box-shadow: 0 0 14px black; 
  overflow: hidden;
}
.vs-indexhead>div{
  width: 100%; height: 100%;
  display: flex; justify-content: flex-start; align-items: center;
}
.vs-indexhead img{
  width: 12px; padding-left: 20px; padding-right: 10px;
  opacity: 0.5;
}
.vs-indexhead span{
  font-size: 12px;
  color: rgb(180, 180, 180); cursor: pointer; transition: 0.2s;
}
.vs-indexhead span:hover{color:  rgb(220, 220, 220);}

/* 코드 투명도 */


.code-content span,pre{opacity: 0.5;}




.vs-indexzone, .vs-csszone{
  position: relative;
  width: 100%; height: 240%;
  overflow: hidden; 
  color: white; 
  padding: 3%; padding-bottom: 0;
  box-sizing: border-box;
  font-size: 16px; 
  box-shadow: 0 0 10px black;
  background: #222222;
  transition: 1s;
}




.vs-indexzone::after{
  content: "";
  position: absolute; top: 24px; bottom: 10%; right: 18px;
  width: 0.1px; background: rgb(20, 20, 20);
}
.vs-csszone::after{
  content: "";
  position: absolute; top: 24px; bottom: 0; right: 16px;
  width: 0.1px; background: rgb(20, 20, 20);
}


.index-code, .css-code{display: grid; grid-template-columns: 40px 1fr;}
.index-number, .css-number{ 
  padding: 12px 0;
  text-align: right;
  color: #858585;
  user-select: none; 
  opacity: 1;
}
.index-number span, .css-number span{
  display: block;
  line-height: 24px; transition: 1s;
}
.code-content{
  padding: 12px 0;
  white-space: pre;
  margin: 0;  line-height: 24px; transition: 1s;
}
.code-content{color: #838383;}
.code-content .keyword { color: #569cd6; }
.code-content .string  { color: #ce9178; }
.code-content .comment { color: #6a9955; font-style: italic; }
.code-content .number  { color: #97a590; }




.vs-css{
  width: 50%; height: 100%; 
  border-left: 0.1px solid #6d6d6d; transition: 3s;
}



.vs-csstab-box{
  display: flex; 
  position: relative; z-index: 3; width: auto;
  overflow: hidden;
}
.vs-csstab{
  width: auto; height: 35px; background: #222222;
  display: flex; justify-content: space-around;
  align-items: center; gap: 5px;
  border-top: 0.1px solid #6d6d6d;
  cursor: pointer; 
}
.vs-csstab img{width: 14px; height: 14px;}
.vs-csstab span{font-size: 12px; color: rgb(158, 158, 158);}


.vs-javatab{width: 130px; background: #181818;
  display: flex; justify-content: space-around;
  align-items: center; gap: 5px;
  border: 0.1px solid #6d6d6d;
  cursor: pointer;
}
.vs-javatab:hover:hover{background: #202020;}

.vs-javatab img{width: 14px; height: 14px;}

.vs-javatab img:last-child{opacity: 0;}
.vs-javatab:hover img:last-child{opacity: 0.5;}
.vs-javatab img:last-child:hover{opacity: 1;}

.vs-javatab span{font-size: 12px; color: rgb(158, 158, 158);}

.css-empty{width: calc(100% - 120px);
  border-bottom: 0.1px solid #6d6d6d;
  background: #181818; 
  display: flex; align-items: center; justify-content: end;
  gap: 10px;
}

.css-empty img{
  width: 18px; height: 18px; opacity: 0.5; padding: 6px;
  border-radius: 6px; cursor: pointer; 
}
.css-empty img:hover{background: #333333; opacity: 0.8;}
.css-empty span{
  padding: 4px;
  width: auto; height: 14px;
  color: rgb(180, 180, 180);
  border-radius: 4px;
  cursor: pointer;
  margin-right: 20px;
  align-items: center;
  line-height: 1;
}
.css-empty span:hover{background: #333333;}

.vs-csshead{
  position: absolute; z-index: 2;
  width: auto; height: 20px;
  background: #222222;
  
}
.vs-csshead div{
  width: 100%; height: 100%;
  display: flex; justify-content: flex-start; align-items: center;
  
}
.vs-csshead img{
  width: 12px; padding-left: 20px; padding-right: 10px;
  opacity: 0.5;
}
.vs-csshead span{
  font-size: 12px;
  color: rgb(180, 180, 180); cursor: pointer; transition: 0.2s;
}
.vs-csshead span:hover{color:  rgb(220, 220, 220);}


.css-number{margin-top: -45px; margin-left: -12px;}



.vstab img:first-child{padding: 6px;}

/* vs 탭의 x버튼 선택자 */
.vstab img:nth-child(3){
  width: 14px; height: 14px;
  border-radius: 4px; padding: 4px;
  margin-right: 2px;
}
.vstab img:nth-child(3):hover{background: #333333;}
.css-code pre{margin-top: -45px;} 




/* ---- */


.introvs{width: 100vw;}
.introphoto{position: absolute; top: 200px; left: 200px; width: 40%}
.introillust{position: absolute; top: 150px; left: 650px; width: 40%;}
.sticky-text{
  position: fixed;
  top: 50%; left: 50%;
  transform: translate(-50%, -50%); 
  font-size: 6vh;
  color: rgb(255, 255, 255);
  text-shadow: 0 0 6px white;
  
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  user-select: none;
  transition: 1s;
  width: auto;
  z-index: 1;
  pointer-events: none;
}







.sticky-text p{
  width: max-content; white-space: nowrap;
  transition: opacity 0.3s, visibility 0.3s;
  position: absolute;
}
.sticky-text p:nth-child(1){position: relative; transition: opacity 1s ease;}
/* .sticky-text p:nth-child(2),
.sticky-text p:nth-child(3){
  position: absolute; top: 150%; left: 50%;
  transform: translate(-50%, -50%);
  display: block;
  margin: 0;
  opacity: 0;         
  transition: opacity 1s ease;
} */







/* d----------------------------------------- */
/* d----------------------------------------- */
/* d----------------------------------------- */


body{
  width: 100%; height: auto; background: #e1e1e1; 
  color: #333; 
  overflow-y: overlay; overflow-x: hidden;
  align-items: center;
}

header{
  opacity: 0;
  width: 100%; height: 50px;
  position: relative; z-index: 10; transition: 1s;
  visibility: hidden;
}
#head{
  pointer-events: none;
  position: fixed; top: 0; left: 0;
  width: 100%; height: 40px;
  padding: 0px 5%; box-sizing: border-box; 
  display: flex; justify-content: space-between; align-items: center;
  transform: translateY(40px); transition: 0.4s; background: transparent;
}

#head h2{
  pointer-events: auto;
  color: rgb(255, 255, 255, 0.8);
  text-shadow: 0 0 6px rgba(0, 0, 0, 0.6); font-size: 18px;
  z-index: 10;
}
#head h2>a{display: block; padding: 12px; transition: 0.3s;}
#head h2>a:hover{
  color: rgb(166, 37, 37);
}

#head aside{z-index: 10; width: auto; display: flex; gap: 20px;}
#head aside a{
  width: auto;
  color: rgb(255, 255, 255, 0.8);
  padding: 12px; 
  text-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
  font-size: 15px; pointer-events: auto;
  transition: 0.3s;
}
#head aside a:hover{color: rgb(166, 37, 37);}

.nav{
  position: relative;
  display: flex; align-items: center; justify-content: center;
}
.nav::before{
  content: ""; width: 0; height: 2px; 
  position: absolute;
  bottom: 0;
  left: 0;
  background: rgba(255, 255, 255, 0.1); transition: 0.3s;
}
.nav:hover::before{
  width: 100%; 
  background: rgb(166, 37, 37);
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
}


.text-section{scroll-margin-top: 0px;}

/* nav 이벤트 ------------------------------------------------------- */


.hello1{
  width: 100%; height: 100px; position: relative; 
  padding-top: 100px; padding-bottom: 60px;
}
.hello1 div .tag-name{
  position: absolute; align-items: center; justify-content: center;
  left: 50%; transform: translateX(-50%);
  font-size: 24px; color: #333; transition: 0.5s;
}

.hello2{
  position: relative; top: 0px;
  width: 100%; height: 40px;
  text-align: center; 
  align-items: center;
  line-height: 0px;
  transition: 3s; 
}
.hello2 div{width: auto;}
.hello2 div .tag-name{
  position: absolute; right: 3%;
  height: 40px;
  color: #333;   
  font-size: 11px; 
  transition: 1s;
}








.profile{
  display: flex;
  align-items: center; justify-content: center;
  width: 100%; height: auto;
  background: #E1E1E1;
  color: #333; 
  word-spacing: 0;
  text-align: justify; transition: 1s;
}

.profile>div{
  position: relative;
  display: flex; flex-direction: column; align-items: center;
  width: 100%; height: 600px;
}


.name-intro{
  width: auto; height: auto; align-items: center;
}

.name-intro>p{
  text-align: center; font-size: 40px; 
  padding-bottom: 40px; transition: 1s;
}

.introduce{
  width: auto; height: auto;
  font-size: 18px; 
  line-height: 30px; transition: 1s;
  margin: 0 auto; text-align: center;
}


.profile img{
  position: absolute; top: 180px;
  width: 260px;
}


.profile .idea{
  position: absolute; bottom: 0px; left: 50%;
  transform: translateX(-50%);
  width: 100%;
  color: rgba(255, 255, 255, 0.2); font-size: 80px; z-index: 1;
  letter-spacing: 0.1;
  text-align: center; margin: 0 auto;
  transition: 0.5s;
}

.profile .idea:hover{color: rgba(255, 255, 255, 0.5); }

.profile .idea>.idea-break{display: none;}


/* ----------------------------------- */

.firstImg{display: block;}
.firstImgW{display: block; position: absolute; z-index: 2;}
.secondImg{display: none;}
.secondImgW{display: none; position: absolute; z-index: 1;}
.fadeTxt{display: none;}

/* ---------------------------------------------------------- */



.project1{
  position: relative; top: 0px;
  width: 100%; height: 100px;
  text-align: center; 
  align-items: center;
  padding-top: 100px; padding-bottom: 60px;
  transition: 3s;
  background-color: #222222;
  box-shadow: 0 -2px 20px 10px rgba(0, 0, 0, 0.4); 
}
.project1>div{width: auto; height: 100px;}
.project1>div .tag-name{
  font-size: 24px; color: rgb(232, 232, 232); 
  transition: 0.5s;
}

.project2{
  position: relative; top: 0;
  width: 100%; height: 40px;
  text-align: center; 
  align-items: center;
  line-height: 0px;
  transition: 3s; 
  background-color: #222222; 
  box-shadow: 0 2px 12px 10px rgba(0, 0, 0, 0.4); 
  z-index: 1;
}
.project2>div{width: auto;}
.project2>div span{
  position: absolute; bottom: -10px; right: 3%;
  font-size: 11px; color: rgb(232, 232, 232); height: 40px;
}




/* ---------------------------------------------------------- */


.portfolio-section{
  position: relative; 
  width: 100%; 
  background: #222222; z-index: 2;
}
.container{
  position: relative; top: 0px; left: 50%;
  display: flex; flex-wrap: wrap;
  gap: 30px; padding: 30px; box-sizing: border-box;
  align-items: center; align-content: center;
  width: 100%; max-width: 1600px; 
  background: #222222;
  transform: translateX(-50%);
  z-index: 3;
  /* overflow: hidden; */
}




.container>div{overflow: hidden;}
.container a{display: flex; justify-content: center; overflow: hidden;}
.container a img{object-fit: cover; text-align: center; z-index: 2;}

.container .fadeTxt{
  border-radius: 2px;
  top: 50%; transform: translateY(-50%);
  width: 300px; height: auto; z-index: 4;
  
}
.container .fadeTxt h4{
  width: auto; height: auto;
  font-size: 35px; font-weight: normal; 
  letter-spacing: 0px; text-align: center; 
  padding: 10px;
}

.container .fadeTxt span{
  font-size: 20px; 
  font-weight: lighter; 
  letter-spacing: 0px; 
  text-align: justify; align-items: center;
  display: inline-block; padding: 10px;
}
  


.container .dClick{
  width: calc(50% - 15px); height: 300px; position: relative; 
  transition: 0.6s; border-radius: 8px; overflow: hidden;
}
.container .dClick:hover{scale: 1.04;}
.container .dClick a{
  width: 100%; height: 300px; 
  transition: 1s; overflow: hidden;
}
.container .dClick:hover a{border-radius: 20px;}

.container .d1,.container .d6,.container .d11{
  position: relative; 
  width: 100%; height: 500px;
}



.container .dClick>a>span{
  position: absolute;
  color: rgb(210, 210, 210); 
  font-size: 140px; 
  font-weight: bolder; 
  letter-spacing: -6px;
  text-align: center;
}

.container .d1:hover,
.container .d6:hover,
.container .d11:hover{
  /* width: calc(100% + 800px);  */
  /* margin-left: -40px; margin-right: -40px;  */
  border-radius: 2px; box-shadow: 0 0 10px black; 
}


.container .dClick a img{
  height: 300px; 
  position: absolute; 
  left: 50%; transform:translateX(-50%); 
  top: 0;
}
.container .d1 a img,
.container .d6 a img,
.container .d11 a img{
  width: 100%; height: 500px; position: absolute; left: 50%; top: 0;
}


.container .dClick a .secondImg{z-index: 2;}
.container .dClick a>span{
  left: 50%; transform:translateX(-50%); 
  top: 20%;
  line-height: 120px;
}

/* whale 111111111111111111111111111111111111111111111 */




.container .d1 a .fadeTxt{
  position: absolute; left: 10%; display: none;
  background: rgba(0, 54, 75, 0.4);
  color: rgba(255, 255, 255);
}



/* 아파치 2222222222222222222222222222222 */

.container .d2 a{background: #b4b3b3;}
.container .d2:hover a{background: #e8ebe8;}






/* 스피커 333333333333333333333333333333 */

.container .d3 a{background: #5BA199;}
.container .d3:hover a{background: #e8ebe8;}




/* 보행기 4444444444444444444444444444444 */

.container .d4 a{background: #DDBEAA;}
.container .d4:hover a{background: #e8ebe8;}





/* 로봇팔 55555555555555555555555555555555 */

.container .d5 a{background: #7dabb9;}
.container .d5:hover a{background: #e8ebe8;}

.container .d5 a span{top: 6%;}




/* fence 66666666666666666666666666666666 */

.container .d6{background: #e8ebe8;}
.container .d6 a .fadeTxt{
  position: absolute; right: 10%; display: none;
  color: rgba(0, 0, 0, 0.8); background: rgba(234, 208, 63, 0.8);
}



/* 보풀 분해 77777777777777777777777777777777777 */

.container .d7 a{background: #f5997a;}
.container .d7:hover a{background: #e8ebe8;}
.container .d7 a span{
  letter-spacing: 0px; z-index: 2; opacity: 0.8;
}
.container .d7:hover span{z-index: 1; opacity: 1;}

.container .d7 a .basic1{height: 340px;}
.container .d7 a .basic2{height: 320px;}

/* 가습기 분해 8888888888888888888888888888888888888 */

.container .d8 a{background: #F2C078;}
.container .d8:hover a{background: #e8ebe8;}
.container .d8 a span{
  letter-spacing: 0px; z-index: 2; opacity: 0.8;
}
.container .d8:hover span{z-index: 1; opacity: 1;}

.container .d8 a .bottle2{height: 330px; z-index: 2;}



/* 보풀 9999999999999999999999999999999999999 */


.container .d9 a{background: #d3c295;}
.container .d9:hover a{background: #e8ebe8;}
.container .d9 a span{top: 6%;}


.container .d9 a .lint2{height: 340px;}

/* 악력기 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10*/



.container .d10 a{background: #a6c298;}
.container .d10:hover a{background: #e8ebe8;}
.container .d10 a span{top: 6%;}

.container .d10 a .grip1{height: 480px;}
.container .d10 a .grip2{height: 380px;}


/* splact 11 11 11 11 11 11 11 11 11 11 11 11 11 11 11 11 11 11 */

.container .d11{background: #e8ebe8;}
.container .d11>a>span{
  top: 30%;
  color: rgba(51, 51, 51, 0.8); font-size: 100px;
  letter-spacing: 0; font-weight: normal;
}
.container .d11 a .fadeTxt{
  position: absolute; 
  left: 10%; display: none;
  color: rgba(0, 0, 0, 0.8); background-color: rgba(210, 210, 210, 0.5);
}






/* modal ----------------------------------------------- */

figure{
  position: fixed; left: 0; top: 0; 
  width: 100%; height: 100%; background: rgba(0, 0, 0, 0.6);
  z-index: 15; 
  display: none;
}

/* 닫기버튼 닫기버튼 닫기버튼 닫기버튼 닫기버튼*/
figure .modalClose{
  position: absolute; right: 8%; top: 50%; transform: translateY(-50%);
  cursor: pointer; width: 36px; height: 36px; z-index: 2;
  transition: 0.3s;
}
figure .modalClose span{
  position: absolute; top: 0px; right: 0;
  display: block; width: 30px; height: 3px;
  background: rgb(192, 192, 192);
  box-shadow: 0 0 2px black; transition: 0.4s;
}
figure .modalClose:hover>span{background-color: #ffffff;}
.modalClose span:nth-of-type(1){
  transform: rotate(45deg); position: relative; 
  top: 25px; transform-origin: right;
}
.modalClose span:nth-of-type(2){
  transform: rotate(-45deg); position: relative; 
  top: 1px; transform-origin: right;
}


/* 닫기버튼 닫기버튼 닫기버튼 닫기버튼 닫기버튼*/



figure .modal-box{
  position: absolute; 
  left: 50%;top: 50%; transform:translate(-50%, -50%); 
  
  width: 60%; max-width: 600px;
  height: auto; max-height: 96%;
  margin: 0 auto; background: white;
  border-radius: 4px; overflow-y: auto;
  padding: 0px; box-sizing: border-box;
  transition: 0.5s;
}


figure .modal{
  margin: 0 auto; 
  border-radius: 4px; overflow-y: auto;
  padding: 0px; box-sizing: border-box;
}

.slide{
  position: relative;
  font-size: 18px;
  color: rgb(250, 250, 250);
  transition: 1s;
}
.slide:not(:first-of-type)::before{
  content: "";
  display: block;
  width: auto; height: 2px; background-color: rgba(235, 235, 235, 0.8);
}
.slide:last-child::after{
  content: ""; position: absolute; bottom: 0;
  width: 100%; height: 40px; display: block;
  background: linear-gradient(to top, rgba(20, 20, 20, 0.4), transparent);
}

.slide span{
  position: absolute; top: 0; left: 50%;
  transform: translateX(-50%);
  display: block;
  text-align: center; align-items: center;
  width: auto;
  background-color: rgba(70, 70, 70, 0.4); border-radius: 0 0 2px 2px;
  padding: 0 6px 1px 6px; 
  z-index: 2;
}

.slide img {
  display: block;
  width: 100%;
  height: auto;
  margin: 0 auto;
}

.modal-bg{
  backdrop-filter: blur(5px);
  background: rgba(30, 30, 30, 0.2); width: 100%; height: 100%;
}

.main-icon{
  position: fixed; 
  left: 8%; top: 50%; transform: translateY(-50%);
  opacity: 50%; transition: 0.3s; display: block;
}
.main-icon:hover{
  opacity: 100%; cursor: pointer;
}
.main-icon-box{transition: 0.3s;}
.fixed-icon{width: 60px; height: 60px; padding: 14px; transition: 0.3s;}
.layer-icon{
  position: absolute; left: 0px;
  width: 60px; height: 60px; padding: 14px; 
  transition: 0.3s;
}

.sub-icon{display: none;}
.main-icon:hover .sub-icon{
  width: 90px;
  display: inline-block;
  position: absolute;
  left: -9px; top: 80px;
  margin: 10px; 
}
.sub-icon img{width: 40px; transform: scale(0); transition: 0.2s;}
.main-icon .main-icon-box>span{
  position: absolute;
  top: -30px; left: -5px;
  display: inline-block;
  white-space: nowrap;
  transition: 0.2s;
  opacity: 0; 
}
.main-icon:hover .main-icon-box{transform: translateY(-4px); }
.main-icon:hover .fixed-icon{transform: translateY(4px); opacity: 50%;}
.main-icon:hover .layer-icon{
  opacity: 0.8; 
  transform: translateY(-10px);
}
.main-icon:hover .sub-icon{display: inline-block;}
.main-icon:hover .sub-icon>img{transform: scale(1);}
.main-icon:hover span{opacity: 1; color: rgba(255, 255, 255, 0.666);}


/* 로봇팔 5555555555555555555 */


.modal-box5 .slide2 img{width: 340px;}


/* 보풀제거기 판넬 9999999999999 */
.modal-box9 .slide3{display: flex;}
.modal-box9 .slide3 img{width: calc(50% - 10px); margin: 0 5px;}


/* modal 스크롤------------------------------------------ */

.modal-box::-webkit-scrollbar{width: 10px;}
.modal-box::-webkit-scrollbar-thumb{
  outline: none;
  background: rgba(156, 156, 156, 0.6);
  background-clip: padding-box; 
  border-radius: 4px;         
  border: 0px solid transparent;
  min-height: 80px;             
}
.modal-box::-webkit-scrollbar-thumb:hover{
  background: rgb(140, 140, 140); 
  background-clip: content-box;
}
.modal-box::-webkit-scrollbar-track{
  background: transparent; 
  border-radius: 4px;
  opacity: 1; background-color: rgb(230, 230, 230);
}

/* modal 스크롤------------------------------------------ */



.about-me1{
  position: relative; top: 0px;
  width: 100%; height: 100px;
  text-align: center; 
  align-items: center;
  padding-top: 100px; padding-bottom: 60px;
  transition: 3s; 
  background-color: #E1E1E1;
}
.about-me1>div{width: auto; height: 100px;}
.about-me1>div .tag-name{
  font-size: 24px; color: #333; 
  transition: 0.5s;
}

.about-me2{
  position: relative; top: 0px;
  width: 100%; height: 40px;
  text-align: center; 
  align-items: center;
  line-height: 0px;
  transition: 3s; 
  background-color: #E1E1E1;
}
.about-me2>div{width: auto;}
.about-me2>div span{
  position: absolute; right: 3%;
  font-size: 11px; color: #333; height: 40px;
}




/* ----------------------------------------------------- */



.about-me{
  width: 100%; height: 900px; background: #E1E1E1;
  display: flex; justify-content: center;
  margin: 0 auto;
  color: #333; 
}

.about-me .my-info{padding: 0 20px; width: 600px; transition: 1s;}

.about-me h3{
  margin-bottom: 10px;
}



.profile-info p{margin: 5px 0; font-size: 1rem;}

.profile-info a{color: #4a90e2; text-decoration: none;}

.skills{
  border-radius: 10px;
  background: #22222208; 
  padding: 20px; margin-bottom: 10px;
}


.skills h3{
  display: flex;
  font-size: 16px;
  margin-right: auto;
  padding-bottom: 20px;
}

.skill-list{
  transition: 1s;
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}
.skills .skill-list:last-child{padding-top: 14px;}
.skill-list img{
  transition: 0.3s;
  height: 40px; width: auto;
}

.skill-list img:hover{scale: 1.1;}

.skill-item {
  position: relative;
  display: inline-block;
  color: #333;
  border-radius: 12px;
  font-size: 0.9rem;
}

.self-intro {padding: 20px;}

.self-intro h3 {font-size: 16px;}

.self-intro p {
  line-height: 26px;
  font-size: 13px; text-align: justify;
}

.education{padding: 20px; line-height: 26px;}

.education h3{font-size: 16px;}


.education ul li{font-size: 13px;padding-bottom: 6px;}


.about-me .my-info dl{
  display: grid;
  grid-template-columns: 60px 1fr;
  row-gap: 14px;
  column-gap: 20px;
}

.info-list{padding: 20px;}
.info-list dd{margin-left: auto; font-size: 13px;}

.my-git{transition: 0.2s; transform: translateX(3px);}
.my-git:hover{
  color: rgb(230, 230, 230);
  background: #838383; border-radius: 3px;
}
.my-git a{padding: 3px;}



/* icon에 hover하면 무슨 프로그램인지 팝업 띄우기 */
.skill-item::after {
  content: attr(data-title);   /* data-title 값 출력 */
  position: absolute;
  bottom: 110%;                
  left: 50%;
  transform: translateX(-50%);
  background: rgba(0, 0, 0, 0.6);
  color: #fff;
  padding: 6px 10px;
  border-radius: 4px;
  font-size: 12px;
  white-space: nowrap;
  opacity: 0;                  
  visibility: hidden;
  pointer-events: none;        
  transition: opacity 0.2s ease;
}

/* hover 시 툴팁 표시 */
.skill-item:hover::after {
  opacity: 1;
  visibility: visible;
}




/* 모바일에서 < project > 이미지 첫 클릭시 2번째 이미지로 변환 */

.project-item .secondImgW {
  opacity: 0;
  transition: opacity 0.3s;
}
.project-item:hover .secondImgW {
  opacity: 1;
}
.project-item.show-second .secondImgW {
  opacity: 1;
}







/* 반응형 -------------------------------------------------*/

@media (max-width: 1020px){
  .profile>div>.idea{font-size: 60px;}
  .profile .idea>.idea-break{display: block;}
}


@media (max-width: 935px){
  .top-bar ul.vs-text{width: auto; display: none;}
  .vsinterface{width: 50%; transition: 1s; margin-left: 0;}
  .vs-mag span{display: none; transition: 1s;}
  .vs-menu{display: block;}
}


/* sticky-section에서 하단바 메뉴 순차적으로 가리기 */
@media (max-width: 820px){
  .bottom-right>div:nth-child(1){display: none;}
}
@media (max-width: 725px){
  .bottom-right>div:nth-child(2){display: none;}
}
@media (max-width: 660px){
  .bottom-right>div:nth-child(3){display: none;}
}
@media (max-width: 620px){
  .bottom-right>div:nth-child(4){display: none;}
}
@media (max-width: 580px){
  .bottom-right>div:nth-child(5){display: none;}
}
@media (max-width: 540px){
  .bottom-right>div:nth-child(6){display: none;}
  #head aside{gap: 6px;}
  #head aside .nav{font-size: 12px;}
  
}
@media (max-width: 500px){
  .bottom-right>div:nth-child(7){display: none;}
  .vs-square{display: none;}
}
@media (max-width: 400px){
  .bottom-right>div:nth-child(8){display: none;}
}
@media (max-width: 380px){
  .vs-chat{display: none;}
}
@media (max-width: 310px){
  .vsinterface{display: none;}
}





@media (max-width: 768px) {




.vs-indexzone, .vs-csszone{font-size: 10px;}

.index-number span, .css-number span{line-height: 18px;}
.code-content{line-height: 18px;}


.sticky-text>p>span{display: none;}

#head{
  
  top: -40px;
  background-color: rgba(35, 35, 35, 0.9);
  /* display: flex; padding: 0 40px; */
}
#head aside .nav{padding: 10px; margin: 0;}


.container .d2>a>img,
.container .d3>a>img,
.container .d4>a>img,
.container .d5>a>img,
.container .d7>a>img,
.container .d8>a>img,
.container .d9>a>img,
.container .d10>a>img{
  scale: 0.6; 
  left: 10%; top: 10%;
  transform:translateX(-50%) translateY(-40%);
}

.container .fadeTxt{width: 160px;}
.container .fadeTxt h4{font-size: 20px;}
.container .fadeTxt span{font-size: 14px;}


.container .dClick{height: 200px;}
.container .d1,
.container .d6,
.container .d11{
  height: 300px;
}

.container .dClick>a>span{
  font-size: 60px; 
  left: 50%; top: 50%;
  transform:translateX(-50%) translateY(-50%); 
  line-height: 110%;
}
.container .d1 a img,
.container .d6 a img,
.container .d11 a img{
  height: 300px;
}

.slide{font-size: 12px;}

.main-icon{left: 1%; scale: 0.8;}
figure .modalClose{right: 2%;}

.fixed-icon,.layer-icon{width: 50px; height: 50px;}
.main-icon:hover .layer-icon{transform: translateY(-8px);}
.sub-icon img{width: 30px;}
.main-icon:hover .sub-icon{width: 70px; left: -2px; top: 70px;}


.about-me .my-info{width: 400px;}

.skill-list{gap: 12px;}

.self-intro p{font-size: 13px;}
.education ul li{font-size: 13px;}
.info-list{font-size: 11px;}

}

